At iFAST Financial, we understand the importance of security. That's why we are dedicated to offer continuous upgrades in our systems and provide a safe and secure environment for transactions. From February 26, 2015 we will discontinue services on some older browser versions like IE6 or below. For seamless navigation of our website, we recommend that you download and install the latest version of web browsers and ensure your browser is up to date. For any assistance regarding this, please feel free to contact us.

If you have any enquiries, feel free to contact your financial adviser or you can also contact iFAST at this email: